Skip to content

List files in the account library for a use-case, newest first. Paginate with limit (default 50, max 100) and nextToken.

GET
/library/{useCase}
curl --request GET \
--url https://api.pingram.io/library/example \
--header 'Authorization: Bearer <token>'

Authorizations

Parameters

Path Parameters

useCase
required
string

Library use-case

Query Parameters

limit
number

Max items to return (default 50)

nextToken
string

Pagination token

Responses

200

Successful response

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
useCase
required
string
Allowed values: media logos
filename
required
string
key
required
string
url
required
string
size
required
number
lastModified
required
string
nextToken
string
Example
{
"items": [
{
"useCase": "media"
}
]
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}